Gtk_HBox(3)

NAME - Gtk_HBox
horizontal box which can contain widgets and they're layouted tohorizontal row.

HEADER REQUIRED
#include <gtk--/box.h&gt;>

BASE CLASSES
Gtk_Box(3)

DERIVED BY
Gtk_Combo(3) Gtk_Statusbar(3)

DESCRIPTION
You should create these objects, but it is more confortable to pass around pointers of Gtk_Box. All the methods that do anything are in Gtk_Box class and this allows you to later change the direction of the box, when there's no dependencies to hbox and vbox classes.

See Gtk_Box.

PUBLIC MEMBER INDEX
    Gtk_HBox(bool homogeneous=false, gint spacing=0);
      creates a new horizontal box
    Gtk_HBox(GtkHBox *castitem);
    GtkHBox*  gtkobj();
    const GtkHBox*  gtkobj() const;
    static bool  isGtkHBox(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkHBox  BaseObjectType;
    typedef GtkHBoxClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  hbox_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

Gtk_HBox::Gtk_HBox (bool homogeneous=false, gint spacing=0);
    creates a new horizontal box.
    The homogeneous argument to class Gtk_HBox}::Gtk_HBox ' (and the same for Gtk_VBox) controls whether each object in the box has the same size (i.e. the same width in an hbox, or the same height in a vbox). If it is set, the expand argument to the gtk_box_pack routines is always turned on.

Spacing determines which

Gtk_HBox::Gtk_HBox (GtkHBox *castitem);
    See {page docs/castitem}

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS